# rfc4175.h File Reference

`#include <ptlib.h>`
`#include <opal/buildopts.h>`
`#include <ptclib/random.h>`
`#include <opal/transcoders.h>`
`#include <codec/opalplugin.h>`
`#include <codec/vidcodec.h>`

Include dependency graph for rfc4175.h:

Go to the source code of this file.

## Data Structures

class | OpalRFC4175Transcoder
struct | OpalRFC4175Transcoder::ScanLineHeader
class | OpalRFC4175Encoder
class | OpalRFC4175Decoder
class | Opal_RFC4175YCbCr420_to_YUV420P
class | Opal_YUV420P_to_RFC4175YCbCr420
class | Opal_RFC4175RGB_to_RGB24
class | Opal_RGB24_to_RFC4175RGB

## Defines

#define | OPAL_RFC4175_YCbCr420 "RFC4175_YCbCr-4:2:0"
#define | OpalRFC4175YCbCr420 GetOpalRFC4175_YCbCr420()
#define | OPAL_RFC4175_RGB "RFC4175_RGB"
#define | OpalRFC4175RGB GetOpalRFC4175_RGB()
#define | OPAL_REGISTER_RFC4175_VIDEO(oformat, rformat)
#define | OPAL_REGISTER_RFC4175()

## Functions

const OpalVideoFormat & | GetOpalRFC4175_YCbCr420 ()
const OpalVideoFormat & | GetOpalRFC4175_RGB ()

## Define Documentation

#define OPAL_REGISTER_RFC4175 | ( |  | ) |

Value:

    OPAL_REGISTER_RFC4175_VIDEO(YUV420P, YCbCr420); \
      OPAL_REGISTER_RFC4175_VIDEO(RGB24, RGB)

#define OPAL_REGISTER_RFC4175_VIDEO | ( | oformat,
|  | rformat |  | ) |

Value:

    OPAL_REGISTER_TRANSCODER(Opal_RFC4175##rformat##_to_##oformat, OpalRFC4175##rformat, Opal##oformat); \
      OPAL_REGISTER_TRANSCODER(Opal_##oformat##_to_RFC4175##rformat, Opal##oformat, OpalRFC4175##rformat);

#define OPAL_RFC4175_RGB "RFC4175_RGB"

#define OPAL_RFC4175_YCbCr420 "RFC4175_YCbCr-4:2:0"

#define OpalRFC4175RGB GetOpalRFC4175_RGB()

#define OpalRFC4175YCbCr420 GetOpalRFC4175_YCbCr420()

## Function Documentation

const OpalVideoFormat& GetOpalRFC4175_RGB | ( |  | ) |

const OpalVideoFormat& GetOpalRFC4175_YCbCr420 | ( |  | ) |